/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * 
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * HelpRedistributeAction.cpp
 *
 *  Created on: Sep 11, 2012
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include <iostream>
#include <string>

#include "Actions/ActionRegistry.hpp"
#include "Actions/ActionTrait.hpp"
#include "Actions/OptionRegistry.hpp"
#include "Actions/OptionTrait.hpp"
#include "CodePatterns/Log.hpp"

#include "Actions/CommandAction/HelpRedistributeAction.hpp"

using namespace MoleCuilder;

// and construct the stuff
#include "HelpRedistributeAction.def"
#include "Action_impl_pre.hpp"
/** =========== define the function ====================== */
Action::state_ptr CommandHelpRedistributeAction::performCall() {
  // print some general advice

	std::cout << "MoleCuilder - creates and alters molecular systems" << std::endl;
	std::cout << "Copyright (C) 2008-2012  University of Bonn" << std::endl;
  std::cout << std::endl;
	std::cout << "This program is free software: you can redistribute it and/or modify" << std::endl;
	std::cout << "it under the terms of the GNU General Public License as published by" << std::endl;
	std::cout << "the Free Software Foundation, either version 2 of the License, or" << std::endl;
	std::cout << "(at your option) any later version." << std::endl;
  std::cout << std::endl;
	std::cout << "This program is distributed in the hope that it will be useful," << std::endl;
	std::cout << "but WITHOUT ANY WARRANTY; without even the implied warranty of" << std::endl;
	std::cout << "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the" << std::endl;
	std::cout << "GNU General Public License for more details." << std::endl;
  std::cout << std::endl;
	std::cout << "You should have received a copy of the GNU General Public License" << std::endl;
	std::cout << "along with this program.  If not, see <http://www.gnu.org/licenses/>." << std::endl;
	std::cout << std::endl;

  return Action::success;
}

Action::state_ptr CommandHelpRedistributeAction::performUndo(Action::state_ptr _state) {
  return Action::success;
}

Action::state_ptr CommandHelpRedistributeAction::performRedo(Action::state_ptr _state){
  return Action::success;
}

bool CommandHelpRedistributeAction::canUndo() {
  return true;
}

bool CommandHelpRedistributeAction::shouldUndo() {
  return false;
}
/** =========== end of function ====================== */
